List Evaluation Dashboards
curl --request GET \
--url https://api.egp.scale.com/v5/evaluation-dashboards \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"object": "identity"
},
"tags": [
"<string>"
],
"name": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard",
"description": "<string>",
"evaluation_id": "<string>",
"evaluation_group_id": "<string>",
"widget_order": [
"<string>"
],
"error_message": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"widgets": [
{
"id": "<string>",
"title": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget",
"query": {
"select": [
{
"expression": {
"column": "<string>",
"type": "COLUMN",
"source": "<string>"
},
"alias": "<string>"
}
],
"filter": {
"conditions": [
{
"column": "<string>",
"source": "<string>",
"value": "<string>"
}
],
"logicalOperators": []
},
"groupBy": [
"<string>"
],
"orderBy": [
{
"column": "<string>",
"source": "<string>",
"direction": "ASC"
}
],
"limit": 2,
"evaluation_ids": [
"<string>"
]
},
"config": {},
"archived_at": "2023-11-07T05:31:56Z"
}
],
"widget_results": [
{
"id": "<string>",
"widget_id": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget_result",
"evaluation_id": "<string>",
"evaluation_group_id": "<string>",
"computed_result": {},
"error_message": "<string>",
"computation_job_id": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"widget": {
"id": "<string>",
"title": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget",
"query": {
"select": [
{
"expression": {
"column": "<string>",
"type": "COLUMN",
"source": "<string>"
},
"alias": "<string>"
}
],
"filter": {
"conditions": [
{
"column": "<string>",
"source": "<string>",
"value": "<string>"
}
],
"logicalOperators": []
},
"groupBy": [
"<string>"
],
"orderBy": [
{
"column": "<string>",
"source": "<string>",
"direction": "ASC"
}
],
"limit": 2,
"evaluation_ids": [
"<string>"
]
},
"config": {},
"archived_at": "2023-11-07T05:31:56Z"
}
}
]
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}Evaluation Dashboards
List Evaluation Dashboards
List dashboards filtered by evaluation_id, evaluation_group_id, tags, creators, or search
GET
/
v5
/
evaluation-dashboards
List Evaluation Dashboards
curl --request GET \
--url https://api.egp.scale.com/v5/evaluation-dashboards \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"object": "identity"
},
"tags": [
"<string>"
],
"name": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard",
"description": "<string>",
"evaluation_id": "<string>",
"evaluation_group_id": "<string>",
"widget_order": [
"<string>"
],
"error_message": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"widgets": [
{
"id": "<string>",
"title": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget",
"query": {
"select": [
{
"expression": {
"column": "<string>",
"type": "COLUMN",
"source": "<string>"
},
"alias": "<string>"
}
],
"filter": {
"conditions": [
{
"column": "<string>",
"source": "<string>",
"value": "<string>"
}
],
"logicalOperators": []
},
"groupBy": [
"<string>"
],
"orderBy": [
{
"column": "<string>",
"source": "<string>",
"direction": "ASC"
}
],
"limit": 2,
"evaluation_ids": [
"<string>"
]
},
"config": {},
"archived_at": "2023-11-07T05:31:56Z"
}
],
"widget_results": [
{
"id": "<string>",
"widget_id": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget_result",
"evaluation_id": "<string>",
"evaluation_group_id": "<string>",
"computed_result": {},
"error_message": "<string>",
"computation_job_id": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"widget": {
"id": "<string>",
"title": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_dashboard_widget",
"query": {
"select": [
{
"expression": {
"column": "<string>",
"type": "COLUMN",
"source": "<string>"
},
"alias": "<string>"
}
],
"filter": {
"conditions": [
{
"column": "<string>",
"source": "<string>",
"value": "<string>"
}
],
"logicalOperators": []
},
"groupBy": [
"<string>"
],
"orderBy": [
{
"column": "<string>",
"source": "<string>",
"direction": "ASC"
}
],
"limit": 2,
"evaluation_ids": [
"<string>"
]
},
"config": {},
"archived_at": "2023-11-07T05:31:56Z"
}
}
]
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}Authorizations
Headers
Query Parameters
Filter by tags (case-insensitive)
Filter by creator user IDs
Search in name and tags
Required range:
1 <= x <= 10000Available options:
asc, desc Response
Successful Response
Show child attributes
Show child attributes
The total of items that match the query. This is greater than or equal to the number of items returned.
Whether there are more items left to be fetched.
Allowed value:
"list"The maximum number of items to return.
⌘I

